Skip to main content
GET
/
bookings
cURL
curl --request GET \
  --url https://{company}.fairwayze.com/api/integrations/bookings \
  --header 'ApiKey: <api-key>'
import requests

url = "https://{company}.fairwayze.com/api/integrations/bookings"

headers = {"ApiKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {ApiKey: '<api-key>'}};

fetch('https://{company}.fairwayze.com/api/integrations/bookings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "start_time": "2026-02-04T17:00:00+00:00",
    "end_time": "2026-02-04T18:00:00+00:00",
    "user": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "email": "jsmith@example.com"
    },
    "location": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    },
    "bay": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "tag": "<string>"
    }
  }
]
{
"error": "<string>"
}

Authorizations

ApiKey
string
header
required

Query Parameters

location_id
string<uuid>
required

The location ID to retrieve bookings for

time_min
string<date-time>

The earliest booking time to include (ex. 2026-02-04T00:00:00-05:00)

time_max
string<date-time>

The latest booking time to include (ex. 2026-02-05T00:00:00-05:00)

timezone
string

The timezone used in the response (ex. America/Toronto)

Response

Booking object

id
string<uuid>
start_time
string<date-time>
Example:

"2026-02-04T17:00:00+00:00"

end_time
string<date-time>
Example:

"2026-02-04T18:00:00+00:00"

user
object
location
object
bay
object